Module java.desktop
Package javax.swing.plaf.basic

## Class BasicInternalFrameUI.BasicInternalFrameListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicInternalFrameUI.BasicInternalFrameListener

- All Implemented Interfaces:
    `EventListener`, `InternalFrameListener`
  Enclosing class:
    BasicInternalFrameUI

      protected class BasicInternalFrameUI.BasicInternalFrameListener
      extends Object
      implements InternalFrameListener

  Basic internal frame listener.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BasicInternalFrameListener()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.event.InternalFrameListener

      `internalFrameActivated, internalFrameClosed, internalFrameClosing, internalFrameDeactivated, internalFrameDeiconified, internalFrameIconified, internalFrameOpened`

- - ### Constructor Detail

    - #### BasicInternalFrameListener

          protected BasicInternalFrameListener()